EpamMVC.WEB/Areas/Admin/Models/Layout/SidebarViewModel.cs
using EpamMVC.DLL.Models;

namespace EpamMVC.WEB.Areas.Admin.Models.Layout
{
    public class SidebarViewModel
    {
        public string UserFullName { get; set; }
        public ApplicationIdentityUser CurrentUser { get; set; }
    }
}

EpamMVC.WEB/Models/Layout/FooterViewModel.cs
namespace EpamMVC.WEB.Models.Layout
{
    public class FooterViewModel
    {
    }
}

EpamMVC.WEB/Models/Layout/HeaderViewModel.cs
namespace EpamMVC.WEB.Models.Layout
{
    public class HeaderViewModel
    {
        public string SiteName { get; set; }
        public string LogoUrl { get; set; }
    }
}

EpamMVC.WEB/Areas/Admin/Controllers/HomeAdminController.cs
using System.Threading.Tasks;
using System.Web.Mvc;
using EpamMVC.BLL.Interfaces;
using EpamMVC.DLL.Interfaces;
using EpamMVC.WEB.Areas.Admin.Models.HomeAdmin;
using EpamMVC.WEB.Utils;

namespace EpamMVC.WEB.Areas.Admin.Controllers
{
    [Authorize(Roles = "Администраторы")]
    public class HomeAdminController : Controller
    {
        private const int lastCount = 5;
        private IClientAccountService _clientAccountService;
        private IClientPaymentService _clientPaymentService;
        private ICallbackService _callbackService;
        private IExceptionLogService _exceptionLogService;
        private IApplicationUserManager _userManager;

        public HomeAdminController(
            IApplicationUserManager userManager,
            IClientAccountService clientAccountService,
            IClientPaymentService clientPaymentService,
            ICallbackService callbackService,
            IExceptionLogService exceptionLogService
        )
        {
            _userManager = userManager;
            _clientAccountService = clientAccountService;
            _clientPaymentService = clientPaymentService;
            _callbackService = callbackService;
            _exceptionLogService = exceptionLogService;
        }

        public async Task<ActionResult> Index()
        {
            ViewBag.pageMeta = new PageMetaContext
            {
                MetaTitle = "Панель администратора",
                PageHeader = "Панель администратора"
            };

            return View(new IndexViewModel()
            {
                ClientAccountsUnlockRequests = await _clientAccountService.GetAsync(
                    1,
                    lastCount,
                    x => x.Id,
                    OrderDirection.Descending,
                    null,
                    x => x.User
                ),
                ClientAccountCount = await _clientAccountService.CountAsync(),
                CallbackRequests = await _callbackService.GetAsync(
                    1,
                    lastCount,
                    x => x.Id,
                    OrderDirection.Descending,
                    x => x.Called == false
                ),
                ClientPayments = await _clientPaymentService.GetAsync(
                    1,
                    lastCount,
                    x => x.Id,
                    OrderDirection.Descending
                ),
                ExceptionLogs = await _exceptionLogService.GetAsync(
                    1,
                    lastCount,
                    x => x.Id,
                    OrderDirection.Descending
                ),
                LastUsers = await _userManager.GetUsersAsync(
                    1,
                    lastCount,
                    x => x.Id,
                    OrderDirection.Descending
                )
            });
        }
    }
}

EpamMVC.WEB/Controllers/CallbackController.cs
using System;
using System.Web.Mvc;
using EpamMVC.BLL.Interfaces;
using EpamMVC.DLL.Entities;
using EpamMVC.WEB.Models.Callback;
using EpamMVC.WEB.Utils;

namespace EpamMVC.WEB.Controllers
{
    public class CallbackController : Controller
    {
        private readonly ICallbackService _callbackService;

        public CallbackController(ICallbackService callbackService)
        {
            _callbackService = callbackService;
        }

        [HttpPost]
        public JsonResult SubmitCallbackRequestAjax(CallbackRequestAjaxSubmit clientCallbackRequest)
        {
            if (ModelState.IsValid)
            {
                var dbRequest = MapperEngine.Map<CallbackRequest>(clientCallbackRequest);
                dbRequest.CreatedDateTime = DateTime.Now;
                _callbackService.Add(dbRequest);

                return Json(new
                {
                    result = "success"
                });
            }

            return Json(new
            {
                result = "error"
            });
        }
    }
}

EpamMVC.WEB/Controllers/CatalogController.cs
using System;
using System.Web.Mvc;

namespace EpamMVC.WEB.Controllers
{
    public class CatalogController : Controller
    {
        public ActionResult Index()
        {
            throw new NotImplementedException();
        }

        public ActionResult Product()
        {
            throw new NotImplementedException();
        }

        public ActionResult Category()
        {
            throw new NotImplementedException();
        }
    }
}

EpamMVC.WEB/Controllers/LayoutController.cs
using System.Web.Mvc;
using EpamMVC.WEB.Models.Layout;

namespace EpamMVC.WEB.Controllers
{
    public class LayoutController : Controller
    {
        [ChildActionOnly]
        public PartialViewResult Header()
        {
            return PartialView(
                new HeaderViewModel
                {
                    SiteName = "Ipsum Company",
                    LogoUrl = "/Content/Upload/logo.png"
                });
        }

        [ChildActionOnly]
        public PartialViewResult Footer()
        {
            return PartialView();
        }
    }
}

EpamMVC.WEB/Views/Layout/Footer.cshtml
@model EpamMVC.WEB.Models.Layout.FooterViewModel

<footer>
    <div class="copyright">
        EasyTravel - супермаркет туристического снаряжения © @DateTime.Now.Year <br>
        Представленная на сайте информация носит справочный характер и не является публичной офертой<br>
        &copy; @DateTime.Now.Year - Tech-Priest, cc-by-nc
    </div>
</footer>

EpamMVC.WEB/Views/Layout/Header.cshtml
@model EpamMVC.WEB.Models.Layout.HeaderViewModel

<header class="header">

    <div class="container">
        <div class="welcome d-none d-sm-flex">
            <a href="/" class="header__logo">
                <img src="/Content/Upload/logo.png" alt="EasyTravel"/>
            </a>
            @if (Request.IsAuthenticated && User.IsInRole("Администраторы"))
            {
                <a class="icon_link dashboard d-lg-block"
                   href="@Url.Action("Index", "HomeAdmin", new {area = "admin"})">
                    Админ
                </a>
            }
            else
            {
                <div class="phone">
                    <a class="phone__number" href="tel:800000000">
                        800 00 00 00
                    </a>
                    <div class="phone__label">
                        Многоканальный 24/7
                    </div>
                </div>
                <div class="phone">
                    <a class="phone__number" href="tel:800000000">
                        800 00 00 00
                    </a>
                    <div class="phone__label">
                        Для экстренных звонков
                    </div>
                </div>
            }


            <a class="icon_link callback js_callback d-none d-lg-block" data-url="@Url.Action("SubmitCallbackRequestAjax", "Callback")" href="#">
                Подобрать тур
            </a>

            <a class="icon_link map d-none d-lg-block" href="@Url.Action("Contact", "Home")">
                Офисы продаж
            </a>

            @if (Request.IsAuthenticated)
            {
                <a
                    class="icon_link cabinet d-lg-block"
                    href="@Url.Action("Index", "Manage")">
                    Личный кабинет

                </a>

                <a class="icon_link logoff d-none d-lg-block" href="@Url.Action("LogOff", "Account")">
                    Выход
                </a>
            }
            else
            {
                <a class="icon_link cabinet d-none d-lg-block" href="@Url.Action("Login", "Account")">
                    Личный кабинет
                </a>
            }
        </div>
    </div>

    <nav class="navbar navbar-expand-lg navbar-dark">
        <div class="container">

            <a class="navbar-brand d-lg-none" href="/">Easy Travel</a>

            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#menu_main">
                <span class="navbar-toggler-icon"></span>
            </button>

            <div class="collapse navbar-collapse" id="menu_main">

                <ul class="navbar-nav mr-auto">
                    <li class="nav-item dropdown">
                        <a class="nav-link dropdown-toggle" href="#" data-toggle="dropdown">
                            Туры
                        </a>

                        <div class="dropdown-menu">
                            <a class="dropdown-item" href="@Url.Action("index", "Catalog")">
                                Экскурсионные туры
                            </a>
                            <a class="dropdown-item" href="@Url.Action("index", "Catalog")">
                                Автобусные туры
                            </a>
                            <a class="dropdown-item" href="@Url.Action("index", "Catalog")">
                                Горнолыжные туры
                            </a>
                            <a class="dropdown-item" href="@Url.Action("index", "Catalog")">
                                Экзотические туры
                            </a>
                            <a class="dropdown-item" href="@Url.Action("index", "Catalog")">
                                Свадебные туры
                            </a>
                        </div>
                    </li>

                    @* Мероприятия *@
                    @* Work & Travel *@
                    @* Туры на Новый Год и Рождество *@

                    <li>
                        <a class="nav-link" href="@Url.Action("index", "Catalog")">
                            Страны
                        </a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="@Url.Action("index", "Catalog")">
                            Акции
                        </a>
                    </li>
                    <li class="nav-item dropdown">
                        <a class="nav-link" data-toggle="dropdown" href="#">
                            Услуги
                        </a>
                        <div class="dropdown-menu">
                            <a class="dropdown-item" href="@Url.Action("index", "Catalog")">
                                Страхование
                            </a>
                            <a class="dropdown-item" href="@Url.Action("index", "Catalog")">
                                Визовая поддержка
                            </a>
                            <a class="dropdown-item" href="@Url.Action("index", "Catalog")">
                                Телефонные карты
                            </a>
                            <a class="dropdown-item" href="@Url.Action("index", "Catalog")">
                                Загранпаспорта
                            </a>
                            <a class="dropdown-item" href="@Url.Action("index", "Catalog")">
                                Рассрочка на туры
                            </a>
                        </div>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="@Url.Action("Contact", "Home")">
                            О компании
                        </a>
                    </li>
                </ul>


            </div>
        </div>
    </nav>

</header>

EpamMVC.WEB/Views/Layout/Page.cshtml
@using EpamMVC.WEB.HtmlHelpers
@using EpamMVC.WEB.Utils
@{
    PageMetaContext pageMetaContext = ViewBag.PageMeta;

    if (pageMetaContext == null)
    {
        pageMetaContext = new PageMetaContext();
    }
}

<!DOCTYPE html>
<html lang="ru">
<head>
    <script>(function(w,d,s,l,i){w[l]=w[l]||[];w[l].push({'gtm.start':
    new Date().getTime(),event:'gtm.js'});var f=d.getElementsByTagName(s)[0],
    j=d.createElement(s),dl=l!='dataLayer'?'&l='+l:'';j.async=true;j.src=
    'https://www.googletagmanager.com/gtm.js?id='+i+dl;f.parentNode.insertBefore(j,f);
    })(window,document,'script','dataLayer','GTM-PXDZR3L');</script>

    <meta charset="utf-8"/>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="x-ua-compatible" content="ie=edge">

    @if (!string.IsNullOrWhiteSpace(pageMetaContext.MetaTitle))
    {
        <title>@pageMetaContext.MetaTitle | Easy Travel</title>
    }

    @if (!string.IsNullOrWhiteSpace(pageMetaContext.MetaDescription))
    {
        <meta name="description" content="@pageMetaContext.MetaDescription"/>
    }

    <link href="https://fonts.googleapis.com/css?family=Roboto:400,700&display=swap&subset=cyrillic" rel="stylesheet">
    <link rel="stylesheet" href="/Content/dist/bundle.css"/>
    <script defer="defer" src="/Content/dist/bundle.js"></script>

    <link rel="apple-touch-icon" sizes="180x180" href="/Content/favicon/apple-touch-icon.png">
    <link rel="icon" type="image/png" sizes="32x32" href="/Content/favicon/favicon-32x32.png">
    <link rel="icon" type="image/png" sizes="16x16" href="/Content/favicon/favicon-16x16.png">
    <link rel="manifest" href="/Content/favicon/site.webmanifest">
    <link rel="mask-icon" href="/Content/favicon/safari-pinned-tab.svg" color="#3d90e3">
    <link rel="shortcut icon" href="/Content/favicon/favicon.ico">
    <meta name="apple-mobile-web-app-title" content="EasyTravel">
    <meta name="application-name" content="EasyTravel">
    <meta name="msapplication-TileColor" content="#3d90e3">
    <meta name="msapplication-config" content="/Content/favicon/browserconfig.xml">
    <meta name="theme-color" content="#ffffff">

    @if (!string.IsNullOrWhiteSpace(Recaptcha.SiteKey))
    {
        <script src="https://www.google.com/recaptcha/api.js?render=@Recaptcha.SiteKey"></script>
    }
</head>
<body>

<noscript>
    <iframe src="https://www.googletagmanager.com/ns.html?id=GTM-PXDZR3L"
            height="0" width="0" style="display:none;visibility:hidden">
    </iframe>
</noscript>

<div class="page">

    @{ Html.RenderAction("Header", "Layout"); }

    <main>
        <div class="container main_content">
            <div class="col_center">
                @Html.PrintBreadscrumbs(pageMetaContext)

                @if (ViewBag.ShowHeader == null || ViewBag.ShowHeader != false)
                {
                    <h1> @pageMetaContext.PageHeader </h1>
                }

                @RenderBody()
            </div>

            @if (IsSectionDefined("Sidebar"))
            {
                <aside class="col_sidebar">
                    @RenderSection("sidebar", false)
                </aside>
            }
        </div>
    </main>

    @{ Html.RenderAction("Footer", "Layout"); }

</div>

</body>
</html>